Bug 188806 - CVE-2006-1728 Privilege escalation using crypto.generateCRMFRequest
CVE-2006-1728 Privilege escalation using crypto.generateCRMFRequest
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 22:29 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FEDORA-2006-487
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 12:30:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:29:35 EDT
Privilege escalation using crypto.generateCRMFRequest


shutdown demonstrated that the crypto.generateCRMFRequest method can be used
to run arbitrary code with the privilege of the user, which could enable an
attacker to install malware.

Note:  Thunderbird shares the browser engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a version with the fix.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=327126


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 08:48:59 EDT
Lifting embargo
Comment 2 David Eisenstein 2006-06-24 12:30:32 EDT
This bug was fixed for FC4 in Fedora Update FEDORA-2006-488
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00019.html>.

This bug was fixed for FC5 in Fedora Update FEDORA-2006-487
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00018.html>.

Note You need to log in before you can comment on or make changes to this bug.